Predict Predicted Attribute (Reconciliation Compliance)
Runs the Predict Predicted Attribute job that predicts the values of the specified predicted attribute. Before a prediction is run, the predicted attribute must be trained using the Train Predicted Attribute job.
The API now supports predicting multiple target attributes in a single request when the attributes are trained using a new training wheel.
REST Resource
POST /armARCS/rest/{api_version}/jobs
Required Roles
Service Administrator or Profiles and Reconciliations - Manage
Request
Supported Media Types: application/json
Parameters
The following table summarizes the client request parameters specific to this job.
Table 4-69 PREDICT_ATTRIBUTE
| Name | Description | Required |
|---|---|---|
api_version |
Version of the API you are working with: v1 | Yes |
jobName |
The name of the job, PREDICT_ATTRIBUTE |
Yes |
period |
The period for which the values for the specified predicted attribute must be predicted | Yes |
attributeName |
The name of the predicted attribute whose values must be predicted | Yes |
For attributes trained on old wheels, the API continues to support only single-attribute prediction and returns the existing response format.
Example of request body: Single Attribute
{
"jobName" : "PREDICT_ATTRIBUTE",
"parameters": {
"period": "May-2024",
"attribute": "Predicted Risk"
}
}
Example of request body: Multiple Attributes
{
"jobName": "PREDICT_ATTRIBUTE",
"parameters": {
"period": "May-2024",
"attribute": [
"Predicted Risk",
"Predicted Category"
]
}
}
Note:
For multi-target prediction, the service groups attributes by training wheel ID and submits one internal prediction job for each wheel group.
Response
Supported Media Types: application/json
Parameters:
Table 4-70 Parameters
| Name | Description |
|---|---|
type |
Application type, such as ARCS.
|
details |
Error details if applicable. |
status |
See Migration Status Codes |
links |
Detailed information about the link |
href |
Links to API call or status API |
action |
The HTTP call type |
rel |
Relationship type |
data |
Parameters as key value pairs passed in the request |
jobIds |
One or more job IDs created for the prediction request. A request can return multiple job IDs when attributes belong to different training wheel groups. |
jobGroups |
Prediction-job details for each training wheel group, including the associated attributes and job ID. |
Example of Response Body: Multiple Attributes
The following is an example of the response body in JSON format.
{
"type": "ARCS",
"status": -1,
"details": "In Process",
"jobIds": [
100000103240043,
100000103240044
],
"jobGroups": [
{
"wheelId": "wheel-001",
"attributes": [
"Predicted Risk"
],
"jobId": 100000103240043
},
{
"wheelId": "wheel-002",
"attributes": [
"Predicted Category"
],
"jobId": 100000103240044
}
],
"links": [
{
"href": "https://<SERVICE_NAME>-<TENANT_NAME>.<SERVICE_TYPE>.<dcX>.oraclecloud.com/armARCS/rest/v1/jobs/100000103240043",
"action": "GET",
"rel": "self"
}
]
}